%define asterisk_version 1.6.1.17

Summary:	Additional addons for Asterisk
Name:		asterisk-addons
Version:	1.6.1.2
Release:	%mkrel %{asterisk_version}.1
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source:		http://downloads.asterisk.org/pub/telephony/asterisk/%{name}-%{version}.tar.gz
Source1:	menuselect.makeopts
Source2:	menuselect.makedeps
#Patch0:		asterisk-addons-1.4.0-mdk.diff
BuildRequires:	asterisk-devel = %{asterisk_version}
BuildRequires:	libtool
BuildRequires:	automake, autoconf
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel
BuildRequires:	libbluez-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Asterisk is a complete PBX in software. It runs on Linux and provides all of
the features you would expect from a PBX and more. Asterisk does voice over IP
in three protocols, and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware. This package
contains additional addons for asterisk.

%package        plugins-mobile
Summary:	Asterisk channel driver for bluetooth phones and headsets
Group:		System/Servers
Requires:	bluez
Requires:	asterisk >= %{asterisk_version}

%description    plugins-mobile
Asterisk channel driver to allow Bluetooth cell/mobile phones to be
used as FXO devices, and headsets as FXS devices.

%prep

%setup -q -n %{name}-%{version}%{?beta:-rc%{beta}}
#%patch0 -p1
cp %{SOURCE1} menuselect.makedeps
cp %{SOURCE2} menuselect.makeopts

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
	if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
find . -type f | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

%build
echo "%{version}" > build_tools/..version
echo "%{version}" > ..version
./bootstrap.sh
#autoreconf -fis
%configure \
	--with-bluetooth \
	--with-ncurses \
	--with-mysqlclient \
	--with-asterisk \
echo CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

make CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk/modules
mkdir -p %{buildroot}%{_localstatedir}/lib/asterisk/documentation
%makeinstall
rm -f %{buildroot}%{_localstatedir}/lib/asterisk/documentation/*
rmdir %{buildroot}%{_localstatedir}/lib/asterisk/documentation
rmdir %{buildroot}%{_localstatedir}/lib/asterisk
rmdir %{buildroot}%{_localstatedir}/lib
rmdir %{buildroot}%{_localstatedir}

# Install configuration files
install -d %{buildroot}%{_sysconfdir}/asterisk
install -m0644 configs/cdr_mysql.conf.sample %{buildroot}%{_sysconfdir}/asterisk/cdr_mysql.conf
install -m0644 configs/res_mysql.conf.sample %{buildroot}%{_sysconfdir}/asterisk/res_mysql.conf
install -m0644 configs/mobile.conf.sample %{buildroot}%{_sysconfdir}/asterisk/mobile.conf

# fix docs
cp formats/mp3/MPGLIB_README MPGLIB_README.format_mp3
cp formats/mp3/MPGLIB_TODO MPGLIB_TODO.format_mp3
cp formats/mp3/README README.format_mp3

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/ChangeLog.chan_ooh323 doc/cdr_mysql.txt doc/chan_ooh323.txt
%doc configs/cdr_mysql.conf.sample configs/ooh323.conf.sample configs/res_mysql.conf.sample
%doc *README* UPGRADE.txt  
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_mysql.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/res_mysql.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_addon_sql_mysql.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/app_saycountpl.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/cdr_addon_mysql.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_ooh323.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/format_mp3.so
%attr(0755,root,root) %{_libdir}/asterisk/modules/res_config_mysql.so

%files plugins-mobile
%defattr(-,root,root,-)
%doc doc/chan_mobile.txt configs/mobile.conf.sample
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/mobile.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_mobile.so



%changelog
* Fri Feb 26 2010 Lonyai Gergely <aleph@mandriva.org> 1.6.1.2-1.6.1.17.1mdv2009.1
+ Revision: 511550
- rebuild
- rebuild
- 1.6.1.2
- rebuild
- remove addons-en_US.xml from %%doc
- update to 1.6.1.1
- fix asterisk dependency
- rebuild
- rebuild
- rebuild
- update to 1.6.1.0

* Mon Mar 30 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1.0-0.rc3.1.6.1.0.2mdv2009.1
+ Revision: 362459
- Rebuild

* Tue Feb 24 2009 Lonyai Gergely <aleph@mandriva.org> 1.6.1-rc2.1.6.1.2mdv2009.1
+ Revision: 344486
- Fix bluetooth dependency
- Fix %%configure script
- 1.6.1-rc2
- include chan_mobile instead asterisk-1.6

* Sun Dec 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-3mdv2009.1
+ Revision: 311573
- bump release
- fix build
- rebuilt against mysql-5.1.30 libs

* Thu Jun 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-1mdv2009.0
+ Revision: 226556
- 1.4.7

* Mon May 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-2mdv2009.0
+ Revision: 201414
- cleanup a bit

* Wed Feb 27 2008 Stefan van der Eijk <stefan@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 175896
- more fixes to .spec file
- comment out unused patches
- 1.4.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.5-1mdv2008.1
+ Revision: 120355
- adjust patch
- 1.4.5
- 1.4.5

* Thu Oct 18 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.4-1mdv2008.1
+ Revision: 99930
- 1.4.4

* Wed Oct 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.3-1mdv2008.1
+ Revision: 94881
- 1.4.3

* Tue Jun 19 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.2-1mdv2008.0
+ Revision: 41631
- 1.4.2

* Thu May 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 21480
- 1.4.1
- updated source URL


* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-1mdv2007.0
+ Revision: 101977
- 1.4.0

* Sat Dec 09 2006 Stefan van der Eijk <stefan@mandriva.org> 1.4.0-0.1.beta2mdv2007.1
+ Revision: 94067
- 1.4.0-beta2
- Import asterisk-addons

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Wed Aug 30 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.4-1mdk
- 1.2.4
- disabling bristuff patch (no longer used)

* Sun Jun 04 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-1mdk
- 1.2.3

* Sat Mar 11 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-1mdk
- 1.2.2

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdk
- added one hunk from the bristuff-0.3.0-PRE-1l patch

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.20051030.1mdk
- new snap (20051030)
- rediff P0
- added P1

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050427.1mdk
- initial package

